regina::alias::FaceOfTriangulation< Derived, dim, 3 > Class Template Reference
Dimension-Specific Aliases

Helper class that provides dimension-specific aliases for countFaces<0,...,3>() and face<0,...,3>(size_t). More...

`#include <triangulation/alias/face.h>`

Inheritance diagram for regina::alias::FaceOfTriangulation< Derived, dim, 3 >:

## Public Member Functions

size_t | countTetrahedra () const
| A dimension-specific alias for countFaces<3>(). More...
Face< dim, 3 > * | tetrahedron (size_t i) const
| A dimension-specific alias for face<3>(). More...
size_t | countTriangles () const
| A dimension-specific alias for countFaces<2>(). More...
Face< dim, 2 > * | triangle (size_t i) const
| A dimension-specific alias for face<2>(). More...
size_t | countEdges () const
| A dimension-specific alias for countFaces<1>(). More...
Face< dim, 1 > * | edge (size_t i) const
| A dimension-specific alias for face<1>(). More...
size_t | countVertices () const
| A dimension-specific alias for countFaces<0>(). More...
Face< dim, 0 > * | vertex (size_t i) const
| A dimension-specific alias for face<0>(). More...

## Detailed Description

### template<class Derived, int dim>
class regina::alias::FaceOfTriangulation< Derived, dim, 3 >

Helper class that provides dimension-specific aliases for countFaces<0,...,3>() and face<0,...,3>(size_t).

This is inherited by the class Derived, which must provide template functions of the form `size_t countFaces<subdim>()` and `Face<dim, subdim>* face<subdim>(size_t) const`, for all facial dimensions subdim ≤ 3.

The documentation for this class was generated from the following file:

- triangulation/alias/face.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).